## pidgin-microblog 0.2.4

=== microblog/Makefile ===
#
# Microblog protocol plug-in
#

all: build

include ../global.mak

TARGETS = liboldtwitter$(PLUGIN_SUFFIX) libtwitter$(PLUGIN_SUFFIX) libidentica$(PLUGIN_SUFFIX) liblaconica$(PLUGIN_SUFFIX)
PRPLS = twitter identica laconica

#PURPLE_CFLAGS = $(shell pkg-config --cflags purple)
#PURPLE_LIBS = $(shell pkg-config --libs purple)

CFLAGS := $(PURPLE_CFLAGS)
LD = $(CC)

OLDTWITTER_C_SRC = dummy_twitterim.c
OLDTWITTER_OBJ = $(OLDTWITTER_C_SRC:%.c=%.o)


TWITTER_C_SRC = twitter.c mb_util.c mb_http.c mb_net.c twitterim.c tw_util.c tw_cmd.c
TWITTER_H_SRC = twitter.h mb_util.h mb_http.h mb_net.h tw_cmd.h
TWITTER_IMG = twitter16.png twitter22.png twitter48.png
TWITTER_OBJ = $(TWITTER_C_SRC:%.c=%.o)

IDENTICA_C_SRC = identica.c mb_util.c mb_http.c mb_net.c twitter.c tw_util.c
IDENTICA_H_SRC = $(TWITTER_H_SRC) 
IDENTICA_IMG = identica16.png identica22.png identica48.png
IDENTICA_OBJ = $(IDENTICA_C_SRC:%.c=%.o)

laconica.o: identica.c
	$(COMPILE.c) $(OUTPUT_OPTION) -DLACONICA $<

LACONICA_C_SRC = mb_util.c mb_http.c mb_net.c twitter.c tw_util.c
LACONICA_H_SRC = $(TWITTER_H_SRC)
LACONICA_IMG = laconica16.png laconica22.png laconica48.png
LACONICA_OBJ = $(LACONICA_C_SRC:%.c=%.o) laconica.o

DISTFILES = $(OLDTWITTER_C_SRC) \
$(TWITTER_C_SRC) $(TWITTER_H_SRC) $(TWITTER_IMG) \
$(IDENTICA_H_SRC) $(IDENTICA_C_SRC) $(IDENTICA_IMG) \
$(LACONICA_H_SRC) $(LACONICA_C_SRC) $(LACONICA_IMG) \
Makefile

OBJECTS = $(OLDTWITTER_OBJ) $(TWITTER_OBJ) $(IDENTICA_OBJ) $(LACONICA_OBJ)

.PHONY: all clean install uninstall

build: $(TARGETS)

install: $(TARGETS)
	for prpl in $(PRPLS); do \
		rm -f $(PURPLE_PLUGIN_DIR)/lib$$prpl$(PLUGIN_SUFFIX); \
	done
	install -m 0755 -d $(PURPLE_PLUGIN_DIR)
	cp liboldtwitter$(PLUGIN_SUFFIX) $(PURPLE_PLUGIN_DIR)/liboldtwitter$(PLUGIN_SUFFIX)
	for prpl in $(PRPLS); do \
		( cp lib$$prpl$(PLUGIN_SUFFIX) $(PURPLE_PLUGIN_DIR)/lib$$prpl$(PLUGIN_SUFFIX) && \
		for dir in 16 22 48; do \
			(install -m 0755 -d $(PURPLE_PROTOCOL_PIXMAP_DIR)/$$dir && \
				install -m 0644 $$prpl$$dir.png $(PURPLE_PROTOCOL_PIXMAP_DIR)/$$dir/$$prpl.png ) \
		done ) \
	done

uninstall: 
	for prpl in $(PRPLS); do \
		rm -f $(PURPLE_PLUGIN_DIR)/lib$$prpl$(PLUGIN_SUFFIX); \
	done
	rm -f $(PURPLE_PLUGIN_DIR)/liboldtwitter$(PLUGIN_SUFFIX)
	for dir in 16 22 48; do \
		rm -f $(PURPLE_PROTOCOL_PIXMAP_DIR)/$$dir/{twitter,identica,laconica}.png ; \
	done


clean:
	rm -f $(TARGETS) $(OBJECTS)

liboldtwitter$(PLUGIN_SUFFIX): $(OLDTWITTER_OBJ)
	$(LD) $(LDFLAGS) -shared $(OLDTWITTER_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

libtwitter$(PLUGIN_SUFFIX): $(TWITTER_OBJ)
	$(LD) $(LDFLAGS) -shared $(TWITTER_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

libidentica$(PLUGIN_SUFFIX): $(IDENTICA_OBJ)
	$(LD) $(LDFLAGS) -shared $(IDENTICA_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

liblaconica$(PLUGIN_SUFFIX): $(LACONICA_OBJ)
	$(LD) $(LDFLAGS) -shared $(LACONICA_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

mbchprpl$(EXE_SUFFIX): mbchprpl.o
	$(CC) $< $(LIB_PATHS) $(LIBS) $(LDFLAGS) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@ 

xml_tester$(EXE_SUFFIX): xml_tester.c
	$(CC) $< $(LIB_PATHS) $(LIBS) $(LDFLAGS) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@ 

mb_http.o: mb_http.c mb_http.h
mb_net.o: mb_net.c mb_net.h mb_http.h
mb_util.o: mb_util.c
twitter.o: twitter.c mb_net.h mb_http.h twitter.h mb_util.h
twitterim.o: twitter.o
identica.o: twitter.o

=== debian/changelog ===
pidgin-microblog (0.2.4-1ubuntu1) lucid; urgency=low

  * debian/control:
    - Add transitional package for pidgin-mbpurple (LP: #530660)
    - Add Replaces/Breaks on last version of pidgin-mbpurple in archive
  * Add pidgin-microblog.install while transitional package exists

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 14 Mar 2010 14:33:24 -0500

pidgin-microblog (0.2.4-1) unstable; urgency=low

  * Initial Release. (Closes: #532282)

 -- Karolina Kalic <karolina@janos.in.rs>  Sun, 13 Dec 2009 21:57:51 +0100

=== debian/control ===
Source: pidgin-microblog
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Karolina Kalic <karolina@janos.in.rs>
Build-Depends: debhelper (>= 7), libpurple-dev, pidgin-dev
Standards-Version: 3.8.3

Package: pidgin-microblog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pidgin-mbpurple (<< 0.2.4-1)
Breaks: pidgin-mbpurple (<< 0.2.4-1)
Homepage: http://code.google.com/p/microblog-purple/
Description: Microblogging plugins for Pidgin
 Pidgin-microblog is a collection of plugins for Pidgin or any other
 libpurple based client like Adium or Finch. It implements microbloging
 systems to Pidgin. Currently it supports Twitter, Identi.ca, and Laconi.ca
 based servers through the conversation windows.

Package: pidgin-mbpurple
Architecture: all
Depends: pidgin-microblog, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package to ease the migration
 from the pidgin-mbpurple to the pidgin-microblog package.
 You can remove it safely.

=== debian/watch ===
version=3
http://microblog-purple.googlecode.com/files/mbpurple-(.*)\.tar\.gz

## pidgin-microblog 0.3.0

=== certs/Makefile ===
all: build 

include ../global.mak

CERTS = EquifaxSecureGlobaleBusinessCA.pem

build clean:
	
install :
	install -d $(PURPLE_CACERTS_DIR)
	for cert in $(CERTS); do \
		install -m 0644 $$cert $(PURPLE_CACERTS_DIR)/$$cert; \
	done

uninstall :
	for cert in $(CERTS); do \
		rm -f $(PURPLE_CACERTS_DIR)/$$cert; \
	done
	
DISTFILES = $(CERTS) Makefile

=== microblog/Makefile ===
#
# Microblog protocol plug-in
#

all: build

include ../global.mak

TARGETS = liboldtwitter$(PLUGIN_SUFFIX) libtwitter$(PLUGIN_SUFFIX) libidentica$(PLUGIN_SUFFIX) libstatusnet$(PLUGIN_SUFFIX)	
PRPLS = twitter identica statusnet

#PURPLE_CFLAGS = $(shell pkg-config --cflags purple)
#PURPLE_LIBS = $(shell pkg-config --libs purple)

CFLAGS := $(PURPLE_CFLAGS)
LD = $(CC)

OLDTWITTER_C_SRC = dummy_twitterim.c
OLDTWITTER_OBJ = $(OLDTWITTER_C_SRC:%.c=%.o)

TWITTER_C_SRC = twitter.c mb_util.c mb_http.c mb_net.c mb_cache.c twitterim.c tw_util.c tw_cmd.c mb_oauth.c
TWITTER_H_SRC = twitter.h mb_util.h mb_http.h mb_net.h tw_cmd.h mb_cache.h mb_oauth.h mb_cache.h mb_cache_util.h
TWITTER_IMG = twitter16.png twitter22.png twitter48.png
TWITTER_OBJ = $(TWITTER_C_SRC:%.c=%.o)

IDENTICA_C_SRC = identica.c mb_util.c mb_http.c mb_net.c mb_cache.c twitter.c tw_util.c mb_oauth.c
IDENTICA_H_SRC = $(TWITTER_H_SRC) 
IDENTICA_IMG = identica16.png identica22.png identica48.png
IDENTICA_OBJ = $(IDENTICA_C_SRC:%.c=%.o)

statusnet.o: identica.c
	$(COMPILE.c) $(OUTPUT_OPTION) -DSTATUSNET $<

STATUSNET_C_SRC = mb_util.c mb_http.c mb_net.c mb_cache.c twitter.c tw_util.c mb_oauth.c
STATUSNET_H_SRC = $(TWITTER_H_SRC)
STATUSNET_IMG = statusnet16.png statusnet22.png statusnet48.png
STATUSNET_OBJ = $(STATUSNET_C_SRC:%.c=%.o) statusnet.o

DISTFILES = $(OLDTWITTER_C_SRC) \
$(TWITTER_C_SRC) $(TWITTER_H_SRC) $(TWITTER_IMG) \
$(IDENTICA_H_SRC) $(IDENTICA_C_SRC) $(IDENTICA_IMG) \
$(STATUSNET_H_SRC) $(STATUSNET_C_SRC) $(STATUSNET_IMG) \
Makefile

OBJECTS = $(OLDTWITTER_OBJ) $(TWITTER_OBJ) $(IDENTICA_OBJ) $(STATUSNET_OBJ)

.PHONY: all clean install uninstall

build: $(TARGETS)

install: $(TARGETS)
	# remove old plug-in
	rm -f $(PURPLE_PLUGIN_DIR)/liblaconica$(PLUGIN_SUFFIX)
	for dir in 16 22 48; do \
		rm -f $(PURPLE_PROTOCOL_PIXMAP_DIR)/$$dir/laconica.png; \
	done
	# install plug-in
	for prpl in $(PRPLS); do \
		rm -f $(PURPLE_PLUGIN_DIR)/lib$$prpl$(PLUGIN_SUFFIX); \
	done
	install -m 0755 -d $(PURPLE_PLUGIN_DIR)
	cp liboldtwitter$(PLUGIN_SUFFIX) $(PURPLE_PLUGIN_DIR)/liboldtwitter$(PLUGIN_SUFFIX)
	for prpl in $(PRPLS); do \
		( cp lib$$prpl$(PLUGIN_SUFFIX) $(PURPLE_PLUGIN_DIR)/lib$$prpl$(PLUGIN_SUFFIX) && \
		for dir in 16 22 48; do \
			(install -m 0755 -d $(PURPLE_PROTOCOL_PIXMAP_DIR)/$$dir && \
				install -m 0644 $$prpl$$dir.png $(PURPLE_PROTOCOL_PIXMAP_DIR)/$$dir/$$prpl.png ) \
		done ) \
	done

uninstall: 
	for prpl in $(PRPLS); do \
		rm -f $(PURPLE_PLUGIN_DIR)/lib$$prpl$(PLUGIN_SUFFIX); \
	done
	rm -f $(PURPLE_PLUGIN_DIR)/liboldtwitter$(PLUGIN_SUFFIX)
	for dir in 16 22 48; do \
		rm -f $(PURPLE_PROTOCOL_PIXMAP_DIR)/$$dir/{twitter,identica,statusnet}.png ; \
	done


clean:
	rm -f $(TARGETS) $(OBJECTS)

liboldtwitter$(PLUGIN_SUFFIX): $(OLDTWITTER_OBJ)
	$(LD) $(LDFLAGS) -shared $(OLDTWITTER_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

libtwitter$(PLUGIN_SUFFIX): $(TWITTER_OBJ)
	$(LD) $(LDFLAGS) -shared $(TWITTER_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

libidentica$(PLUGIN_SUFFIX): $(IDENTICA_OBJ)
	$(LD) $(LDFLAGS) -shared $(IDENTICA_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

libstatusnet$(PLUGIN_SUFFIX): $(STATUSNET_OBJ)
	$(LD) $(LDFLAGS) -shared $(STATUSNET_OBJ) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@

mbchprpl$(EXE_SUFFIX): mbchprpl.o
	$(CC) $< $(LIB_PATHS) $(LIBS) $(LDFLAGS) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@ 

xml_tester$(EXE_SUFFIX): xml_tester.c
	$(CC) $< $(LIB_PATHS) $(LIBS) $(LDFLAGS) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@ 

test_mb_http$(EXE_SUFFIX): mb_http.c
	$(CC) $(CFLAGS) -DUTEST $< $(LIB_PATHS) $(LIBS) $(LDFLAGS) $(PURPLE_LIBS) $(DLL_LD_FLAGS) -o $@ 	
	
mb_http.o: mb_http.c mb_http.h twitter.h Makefile
mb_net.o: mb_net.c mb_net.h mb_http.h twitter.h Makefile
mb_util.o: mb_util.c twitter.h Makefile
twitter.o: twitter.c mb_net.h mb_http.h twitter.h mb_util.h mb_cache.h mb_oauth.h Makefile
mb_cache.o: mb_cache.c twitter.h
mb_oauth.o: mb_oauth.c mb_oauth.h twitter.h
twitterim.o: twitter.o mb_http.o mb_net.o mb_util.o mb_cache.o mb_oauth.o Makefile
identica.o: twitter.o Makefile

=== twitgin/Makefile ===
#
# Microblog protocol plug-in
#

all: build 

include ../global.mak

TARGETS = twitgin$(PLUGIN_SUFFIX)

LD = $(CC)

ifeq ($(strip $(IS_WIN32)), 1)
TWITGIN_INC_PATHS += -I$(GTK_TOP)/include/gtk-2.0 \
			-I$(GTK_TOP)/include/pango-1.0 \
			-I$(GTK_TOP)/include/atk-1.0 \
			-I$(GTK_TOP)/include/cairo \
			-I$(GTK_TOP)/lib/gtk-2.0/include \
			-I$(PIDGIN_TOP)/win32  \
			-I../microblog/


LIB_PATHS += -L$(GTK_TOP)/lib \
			-L$(PURPLE_TOP) \
			-L$(PIDGIN_TOP)
			
LIBS =	-lgtk-win32-2.0 \
			-lglib-2.0 \
			-lgdk-win32-2.0 \
			-lgobject-2.0 \
			-lintl \
			-lpurple \
			-lpidgin
CFLAGS := $(PURPLE_CFLAGS) $(TWITGIN_INC_PATHS)
else
CFLAGS := $(PURPLE_CFLAGS) $(PIDGIN_CFLAGS) -I../microblog/
LIB_PATHS = 
LIBS = $(PIDGIN_LIBS)
endif

TWITGIN_C_SRC = twitgin.c ../microblog/twitter.c ../microblog/tw_util.c ../microblog/mb_net.c ../microblog/mb_http.c ../microblog/mb_util.c ../microblog/mb_cache.c ../microblog/mb_oauth.c
TWITGIN_H_SRC = $(TWITGIN_C_SRC:%.c=%.h)
TWITGIN_OBJ = $(TWITGIN_C_SRC:%.c=%.o)

DISTFILES = twitgin.c twitpref.h Makefile

OBJECTS = $(TWITGIN_OBJ)

.PHONY: clean install build

build: $(TARGETS)

install: $(TARGETS)
	rm -f $(PURPLE_PLUGIN_DIR)/twitgin$(PLUGIN_SUFFIX)
	install -m 0755 -d $(PURPLE_PLUGIN_DIR)
	cp twitgin$(PLUGIN_SUFFIX) $(PURPLE_PLUGIN_DIR)/twitgin$(PLUGIN_SUFFIX)

uninstall: 
	rm -f $(PURPLE_PLUGIN_DIR)/twitgin$(PLUGIN_SUFFIX)

clean:
	rm -f $(TARGETS) $(OBJECTS)

twitgin$(PLUGIN_SUFFIX): $(TWITGIN_OBJ)
	$(LD) $(LDFLAGS) -shared $(TWITGIN_OBJ) $(LIB_PATHS) $(LIBS) $(DLL_LD_FLAGS) -o twitgin$(PLUGIN_SUFFIX)

=== debian/changelog ===
pidgin-microblog (0.3.0-3) unstable; urgency=low

  * Added -dbg package (thanks to Guido Trotter)

 -- Karolina Kalic <karolina@resenje.org>  Sun, 14 Aug 2011 00:18:55 +0200

pidgin-microblog (0.3.0-2) unstable; urgency=low

  * Updated Standards-Version to 3.9.2.
  * Corrected debian/watch, now it finally works.
  * Added debian/docs.
  * debian/compat
    - update debhelper compatibility to 8.
  * Changed my email address.
  * Updated copyright to DEP5 format.
  * Changed version of debhelper in Build-Depends to >= 8.0.0.

 -- Karolina Kalic <karolina@resenje.org>  Mon, 08 Aug 2011 18:17:52 +0200

pidgin-microblog (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.8.4.
  * Updated debian/watch.
  * Changed long description.
  
 -- Karolina Kalic <karolina@janos.in.rs>  Tue, 01 Jun 2010 16:47:05 +0200
 

=== debian/control ===
Source: pidgin-microblog
Section: net
Priority: optional
Maintainer: Karolina Kalic <karolina@resenje.org>
Build-Depends: debhelper (>= 8.0.0), libpurple-dev, pidgin-dev
Standards-Version: 3.9.2

Package: pidgin-microblog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://code.google.com/p/microblog-purple/
Description: Microblogging plugins for Pidgin
 Pidgin-microblog is a collection of plugins for Pidgin or any other
 libpurple based client like Adium or Finch. It implements microbloging
 systems to Pidgin. Currently it supports Twitter, Identi.ca, and Status.net
 (old Laconi.ca) based servers through the conversation windows.

Package: pidgin-microblog-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, pidgin-microblog (= ${binary:Version})
Homepage: http://code.google.com/p/microblog-purple/
Description: Microblogging plugins for Pidgin (debugging symbols)
 Pidgin-microblog is a collection of plugins for Pidgin or any other
 libpurple based client like Adium or Finch. It implements microbloging
 systems to Pidgin. Currently it supports Twitter, Identi.ca, and Status.net
 (old Laconi.ca) based servers through the conversation windows.
 .
 This package contains the debugging symbols for pidgin-microblog.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_strip override_dh_installdocs override_dh_auto_install
override_dh_strip:
	dh_strip --dbg-package=pidgin-microblog-dbg
override_dh_installdocs:
	dh_installdocs --link-doc=pidgin-microblog
override_dh_auto_install:
	dh_auto_install --destdir=debian/pidgin-microblog

%:
	dh  $@

=== debian/watch ===
version=3

http://code.google.com/p/microblog-purple/ \
	//microblog-purple.googlecode.com/files/mbpurple-(.+).tar.gz
